Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Algorithm Class Reference
[Plugins]

`#include <Algorithm.h>`

Inherits tlp::WithParameter, and tlp::WithDependency.

Inheritance diagram for tlp::Algorithm:

[legend]
Collaboration diagram for tlp::Algorithm:

[legend]
List of all members.

## Detailed Description

Interface for general algorithm plug-ins.

## Public Member Functions

- Algorithm (AlgorithmContext context)
- virtual ~Algorithm ()
- virtual bool run ()=0
- virtual bool check (std::string &)
- virtual void reset ()

## Protected Attributes

- Graph * graph
- PluginProgress * pluginProgress
- DataSet * dataSet

## Constructor & Destructor Documentation

tlp::Algorithm::Algorithm | ( | AlgorithmContext | context | ) | `[inline]`

virtual tlp::Algorithm::~Algorithm | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::Algorithm::check | ( | std::string & |  | ) | `[inline, virtual]`

virtual void tlp::Algorithm::reset | ( |  | ) | `[inline, virtual]`

virtual bool tlp::Algorithm::run | ( |  | ) | `[pure virtual]`

## Member Data Documentation

DataSet* tlp::Algorithm::dataSet `[protected]`

Graph* tlp::Algorithm::graph `[protected]`

PluginProgress* tlp::Algorithm::pluginProgress `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010